import * as i0 from "@angular/core";
export declare class AnchorDirective {
    private widget;
    constructor(widget: any);
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AnchorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AnchorDirective, "[wmAnchor]", never, {}, {}, never, never, false, never>;
}
